%define upstream_name    Text-MultiMarkdown
%define upstream_version 1.000035

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Convert MultiMarkdown syntax to (X)HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(FindBin)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.420.0
BuildRequires: perl(Text::Markdown) >= 1.0.26
BuildArch:  noarch

%{?perl_default_filter}

%description
Markdown is a text-to-HTML filter; it translates an easy-to-read /
easy-to-write structured text format into HTML. Markdown's text format is
most similar to that of plain text email, and supports features such as
headers, *emphasis*, code blocks, blockquotes, and links.

Markdown's syntax is designed not as a generic markup language, but
specifically to serve as a front-end to (X)HTML. You can use span-level
HTML tags anywhere in a Markdown document, and you can use block level HTML
tags ('<div>', '<table>' etc.). Note that by default Markdown isn't
interpreted in HTML block-level elements, unless you add a 'markdown=1"'
attribute to the element. See the Text::Markdown manpage for details.

This module implements the MultiMarkdown markdown syntax extensions from:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.0.35-7pclos2017
- rebuild against updates

